#!/bin/bash

(
cd mapa5
mapa_epicentral2.sh
)

if [ -f combinar/ubic.dat ]
then
  cp combinar/ubic.dat .
  
(
cd distancias
corregir.sh
)

echo "Publicando en TWITTER"
tw1=`awk '{printf "#sismocr #temblorcr M=%3.1f P=%0.1fkm, %s %s",$6,$5,$1,$2}' ubic.dat`
tw2=`head -n 1 distancias/c2 | awk -F\; '{printf" a %0.1fkm %s de %s%s",$1,$3,$6,$7}'`

if [ -f mapa5/mapa_epicentro.png ]
then
  echo Imagen de epicentro se encuentra presente
else
  echo No hay imagen del epicentro en directorio combinar
  exit
fi


cp mapa5/mapa_epicentro.png /home/lis/sisloc_jma/equis/img/epicentro.png

echo ===================================
echo $tw1 $tw2
echo ===================================
display /home/lis/sisloc_jma/equis/img/epicentro.png

echo "Verificar informacion [y/n]"
read algo
if [ $algo = "y" ]
then


(
cd /home/lis/sisloc_jma/equis

if [ -f ./una-imagen.py ]
then
  rm una-imagen.py
fi

cat com_epi_1.txt > una-imagen.py
echo "apiv2.create_tweet(text='${tw1} ${tw2}', media_ids=[media.media_id], user_auth=True)" >> una-imagen.py

if [ -f ./una-imagen.py ]
then
  echo "Para twitter"
  echo $tw1 $tw2
  chmod +x una-imagen.py
  python3 una-imagen.py
fi

rm img/*

)




(
cd /home/lis/sisloc_jma/telegram
comunicar_telegram2.sh
)





else
  echo No se envio informacion...
fi

else
  echo " "
  echo No se encontro archivo ubic.dat en este directorio
  echo " "
fi
echo Listo

